Bug 1915907 - test/cmd/builds.sh uses docker.io
Summary: test/cmd/builds.sh uses docker.io
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Gabe Montero
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On:
Blocks: 1917014
TreeView+ depends on / blocked
 
Reported: 2021-01-13 17:24 UTC by Oleg Bulatov
Modified: 2021-02-24 15:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:53:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 25798 0 None closed Bug 1915907: replace test/cmd/builds.sh direct/indirect docker.io refs with imagestream image refs 2021-02-03 21:40:48 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:53:24 UTC

Description Oleg Bulatov 2021-01-13 17:24:42 UTC
Description of problem:

https://prow.ci.openshift.org/view/gs/origin-ci-test/pr-logs/pull/openshift_openshift-apiserver/177/pull-ci-openshift-openshift-apiserver-master-e2e-cmd/1349319304666943488

test/cmd/builds.sh sometimes fails because of Docker Hub limits.

Version-Release number of selected component (if applicable):

master

How reproducible:

Sometimes

Steps to Reproduce:
1. run e2e-cmd job

Actual results:

Running test/cmd/builds.sh:28: executing 'oc new-build --dockerfile=$'FROM centos:7\nRUN yum install -y httpd'' expecting success...
FAILURE after 1.000s: test/cmd/builds.sh:28: executing 'oc new-build --dockerfile=$'FROM centos:7\nRUN yum install -y httpd'' expecting success: the command returned the wrong error code
Standard output from the command:
warning: Cannot find git. Ensure that it is installed and in your path. Git is required to work with git repositories.

Standard error from the command:
W0113 12:47:34.711403      80 dockerimagelookup.go:237] container image remote registry lookup failed: docker.io/library/centos:7: toomanyrequests: You have reached your pull rate limit. You may increase the limit by authenticating and upgrading: https://www.docker.com/increase-rate-limit
error: unable to locate any images in image streams, local docker images with name "centos:7"

Expected results:

SUCCESS

Additional info:

https://github.com/openshift/origin/blob/master/test/extended/testdata/cmd/test/cmd/builds.sh#L28

Comment 5 errata-xmlrpc 2021-02-24 15:53:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.